<ul>
  <li *ngFor="let hero of heroes"
      [@heroState]="hero.state"
      (@heroState.start)="animationStarted($event)"
      (@heroState.done)="animationDone($event)"
      (click)="hero.toggleState()">
    {{hero.name}}<hr>
  </li>
</ul>